diff a/src/java.base/share/native/libjava/System.c b/src/java.base/share/native/libjava/System.c
--- a/src/java.base/share/native/libjava/System.c
+++ b/src/java.base/share/native/libjava/System.c
@@ -295,10 +295,23 @@
     for (i = 0; i < n; i++) {
         dst[i] = src[i];
     }
 }
 
+JNIEXPORT jboolean JNICALL
+Java_java_lang_System_AOTIsTraining(JNIEnv *env, jclass ign)
+{
+    jboolean isTraining = JVM_AOTIsTraining(env);
+    return isTraining;
+}
+
+JNIEXPORT void JNICALL
+Java_java_lang_System_AOTEndTraining(JNIEnv *env, jclass ign)
+{
+    JVM_AOTEndTraining(env);
+}
+
 JNIEXPORT jstring JNICALL
 Java_java_lang_System_mapLibraryName(JNIEnv *env, jclass ign, jstring libname)
 {
     int len;
     int prefix_len = (int) strlen(JNI_LIB_PREFIX);
